Subject: [BugDB] SSL_connect:error in SSLv2/v3 read server hello A (PR#738)

From: [email-masked]
Date: Mon, 29 Jul 2002 12:29:25 +0200 (MET DST)

Full_Name: Keith Mastin
Version: mod_ssl-2.8.5-3
OS: Redhat 7.2
Submission from: (NULL) (216.138.194.32)

The webserver has a site http:www.mcleodlake.com that I configured ssl with a
document root directory of mcleodlake.com/webmail/, where I have squirrelmail
running. I want the login process for squirrelmail to be encrypted. The
login.php file is mcleodlake.com/webmail/src/login.php.
Sometimes the server cannot find the login.php file, and sometimes it can, but
does not open the file under https, instead it always opens it under http.
I did a debug:

[root@laird1 html]# openssl s_client -connect localhost:443 -state -debug
CONNECTED(00000003)
SSL_connect:before/connect initialization
write to 0814D6D0 [0184D718] (124 bytes => 124 (0x7C))
0000 - 80 7a 01 03 01 00 51 00-00 00 20 00 00 16 00 00  
.z....Q... .....
0010 - 013 00 00 0a 07 00 c0 00-00 66 00 00 05 00 00 04 .........f......
0020 - 03 00 80 01 00 80 08 00-80 00 00 65 00 00 64 00  ...........e..d.
0030 - 00 63 00 00 62 00 00 61-00 00 60 00 00 15 00 00
.c..b..a..`.....
0040 - 12 00 00 09 06 00 40 00-00 14 00 00 11 00 00 08
......@.........
0050 - 00 00 06 00 00 03 04 00-80 02 00 80 5c 9a 76 a0
............\.v.
0060 - d7 67 cc 16 77 1b 0d 93-8a 85 cc b9 ce b5 fe 46
.g..w..........F
0070 - 76 b8 ab 8b d9 db 2f 09-3e 98 b4 84
v...../.>...
SSL_connect:SSLv2/v3 write client hello A
read from 0814D6D0 [08152C79] (7 bytes => 7 (0x7))
0000 -03c 21 44 4f 43 54 59                              <!DOCTY
SSL_connect:error:140770FC:SSL routines:SSL23_GET_SERVER_HELLO:unknown
protocol:s23_clnt.c:460:

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]